package com.jeeplus.test.wdt.merchantCompany.service.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.google.common.collect.Lists;
import com.jeeplus.core.query.Query;
import com.jeeplus.core.query.QueryType;
import com.jeeplus.core.service.dto.BaseDTO;
import com.jeeplus.test.core.excel.converter.ExcelSettledPlatformListDTOConverter;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 入驻商家表
 * @author: 徐滕
 * @version: 2024-01-04 10:42
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ColumnWidth(20)
public class MerchantDetailsDTO extends BaseDTO {

    private static final long serialVersionUID = 1L;

    /**
     * 入驻企业数
     */
    private Integer settledEnterpriseNumber;

    /**
     * 电商从业人员
     */
    private Integer practitionerCount;

    /**
     * 年销售额
     */
    private String annualSales;

    /**
     * 网络零售额
     */
    private String onlineRetailSales;

    /**
     * 抖音入驻商家数
     */
    private String enterNumber;

    /**
     * 开关数据获取类型
     */
    private String dataSourcesType;
}
